"""
URL configuration for doc_generator project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.static import static   # NEW: Import static
from django.conf import settings          # NEW: Import settings
from filebrowser.sites import site

urlpatterns = [
    path('werner/filebrowser/',  include((site.get_urls(), 'filebrowser'))),
    path('werner/', admin.site.urls),

    path("accounts/", include("accounts.urls")),  # new
    path("accounts/", include("django.contrib.auth.urls")),

    path('tinymce/', include('tinymce.urls')),  # For TinyMCE editor

    path('', include('textdocs.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)  # NEW: Serve media files in development
